﻿namespace U2UC.Metro.Controls
{
    using System;
    using Windows.Foundation;
    using Windows.UI.Xaml.Data;

    /// <summary>
    /// Converts polar coordinates into Carthesian.
    /// </summary>
    /// <remarks>Value = angle, Parameter = scale.</remarks>
    public class AngleToPointConverter : IValueConverter
    {
        private const double ToRadians = Math.PI / 180;

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            double scale = double.Parse((string)parameter);
            double angle = (double)value;
            return new Point(
              100 + scale * Math.Sin(angle * ToRadians),
              100 - scale * Math.Cos(angle * ToRadians));
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
