﻿namespace U2UC.Metro.ConverterParameterBinding
{
    using U2UC.Metro.ConverterParameterBinding.Common;

    /// <summary>
    /// ViewModel for the MainPage (what else ?)
    /// </summary>
    public class MainPageViewModel: BindableBase
    {
        private int currentBitterness;

        private Range<int> bitternessRange = new Range<int>(15, 24);

        /// <summary>
        /// Gets or sets the current bitterness.
        /// </summary>
        public int CurrentBitterness
        {
            get { return currentBitterness; }
            set { this.SetProperty(ref currentBitterness, value); }
        }

        /// <summary>
        /// Gets the bitterness range
        /// </summary>
        public Range<int> BitternessRange
        {
            get
            {
                return this.bitternessRange;
            }
        }
    }
}
